summaryrefslogtreecommitdiffstats
path: root/libraries/libnxml
diff options
context:
space:
mode:
author Kristaps Esterlins <esterlins@gmail.com>2010-05-12 23:30:37 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:30:37 +0200
commit8d93c185124cc0c2901beee32fbfa2afc027cea1 (patch)
tree92d8ba379e4c30167bca6e074837ec239a01d0ee /libraries/libnxml
parent4326e9fd6c1fa263cbfec9d48d0b78bd61fec355 (diff)
downloadslackbuilds-8d93c185124cc0c2901beee32fbfa2afc027cea1.tar.gz
slackbuilds-8d93c185124cc0c2901beee32fbfa2afc027cea1.tar.xz
libraries/libnxml: Added to 12.2 repository
Diffstat (limited to 'libraries/libnxml')
-rw-r--r--libraries/libnxml/README3
-rw-r--r--libraries/libnxml/libnxml.SlackBuild68
-rw-r--r--libraries/libnxml/libnxml.info8
-rw-r--r--libraries/libnxml/slack-desc19
4 files changed, 98 insertions, 0 deletions
diff --git a/libraries/libnxml/README b/libraries/libnxml/README
new file mode 100644
index 0000000000..b06c190e2d
--- /dev/null
+++ b/libraries/libnxml/README
@@ -0,0 +1,3 @@
+nXML is a C library for parsing, writing and creating
+XML 1.0 and 1.1 files or streams. It supports utf-8,
+utf-16be and utf-16le, ucs-4 (1234, 4321, 2143, 2312).
diff --git a/libraries/libnxml/libnxml.SlackBuild b/libraries/libnxml/libnxml.SlackBuild
new file mode 100644
index 0000000000..9b2726e84b
--- /dev/null
+++ b/libraries/libnxml/libnxml.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for libnxml
+# Written by Kristaps Esterlins <esterlinsh[at]gmail.com>
+
+PRGNAM=libnxml
+VERSION=0.18.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libnxml/libnxml.info b/libraries/libnxml/libnxml.info
new file mode 100644
index 0000000000..1c38edc8d3
--- /dev/null
+++ b/libraries/libnxml/libnxml.info
@@ -0,0 +1,8 @@
+PRGNAM="libnxml"
+VERSION="0.18.3"
+HOMEPAGE="http://www.autistici.org/bakunin/libnxml/doc/"
+DOWNLOAD="http://www.autistici.org/bakunin/libnxml/libnxml-0.18.3.tar.gz"
+MD5SUM="857f43970e7f0724d28f4ddc87085daf"
+MAINTAINER="Kristaps Esterlins"
+EMAIL="esterlins@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libnxml/slack-desc b/libraries/libnxml/slack-desc
new file mode 100644
index 0000000000..23d3bc6500
--- /dev/null
+++ b/libraries/libnxml/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libnxml: libnxml (library for xmls processing)
+libnxml:
+libnxml: libnxml is a C library for parsing, writing
+libnxml: and creating XML 1.0 and 1.1 files or streams.
+libnxml:
+libnxml: http://www.autistici.org/bakunin/libnxml/doc/
+libnxml:
+libnxml:
+libnxml:
+libnxml:
+libnxml: